#ifndef __LED_H
#define __LED_H

#define LED1ON()  GPIOA->BRR |= GPIO_BRR_BR15
#define LED2ON()  GPIOB->BRR |= GPIO_BRR_BR3
#define LED3ON()  GPIOB->BRR |= GPIO_BRR_BR4
#define LED4ON()  GPIOB->BRR |= GPIO_BRR_BR5

#define LED1OFF()  GPIOA->BSRR |= GPIO_BSRR_BS15
#define LED2OFF()  GPIOB->BSRR |= GPIO_BSRR_BS3
#define LED3OFF()  GPIOB->BSRR |= GPIO_BSRR_BS4
#define LED4OFF()  GPIOB->BSRR |= GPIO_BSRR_BS5

#define LED1_TOGGLE()   ((GPIOA->ODR & GPIO_BRR_BR15) ? (GPIOA->BRR |= GPIO_BRR_BR15) : (GPIOA->BSRR |= GPIO_BSRR_BS15))
#define LED2_TOGGLE()   ((GPIOB->ODR & GPIO_BRR_BR3) ? (GPIOB->BRR |= GPIO_BRR_BR3) : (GPIOB->BSRR |= GPIO_BSRR_BS3))
#define LED3_TOGGLE()   ((GPIOB->ODR & GPIO_BRR_BR4) ? (GPIOB->BRR |= GPIO_BRR_BR4) : (GPIOB->BSRR |= GPIO_BSRR_BS4))
#define LED4_TOGGLE()   ((GPIOB->ODR & GPIO_BRR_BR5) ? (GPIOB->BRR |= GPIO_BRR_BR5) : (GPIOB->BSRR |= GPIO_BSRR_BS5))

void LED_Init(void);
#endif
